/* wrapper 高度必须能够确定，默认将占满父元素 */
#wrapper{
    position: absolute;
    overflow: hidden;
    z-index: 1;
   /* top: 280px;*/
    bottom: 1rem;
    left: 0;
    width: 100%;
    background: #f4f4f4;
}
.c-scroll-wrapper {
    position: absolute;
    overflow: hidden;
    z-index: 1;

    top: 0;
    bottom: 0;
    left: 0;
    right: 0;

}


/* 代表列表的容器 */
.iScroller, .c-scroll-scroller {
    position: absolute;
    z-index: 1;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    width: 100%;
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-text-size-adjust: none;
    -moz-text-size-adjust: none;
    -ms-text-size-adjust: none;
    -o-text-size-adjust: none;
    text-size-adjust: none;
}

.iScroller ul, .c-scroll-scroller ul {
    list-style: none;
    width: 100%;
}


/**
 *
 * Pull down/up styles
 *
 */
.pullDown, .pullUp ,.endOfPull{
    background: #fff;
    height: 1rem;
    line-height: 1rem;
    padding: 0.05rem 0.10rem;
    border-bottom: 1px solid #ccc;
    font-weight: bold;
    font-size: 0.20rem;
    color: #888;
    margin-top: 0;
    white-space: nowrap;
    background: #f1f1f1;
}

.pullDown.scrolledUp {
    /* Should match the totalt height (i.e. height + paddings + borders) of #pullDown set above */
    margin-top: -1.05rem;
}

.pullDown .pullDownLabel, .pullUp .pullUpLabel {
    margin: 0 0.05rem;
}

.pullDown .pullDownIcon, .pullUp .pullUpIcon {
    display: inline-block;
    width: 0.40rem;
    height: 0.40rem;
    background: url(../img/pull-icon@2x.png) 0 0 no-repeat;
    -webkit-background-size: 0.40rem 0.80rem;
    background-size: 0.40rem 0.80rem;
    -webkit-transition-property: -webkit-transform;
    -webkit-transition-duration: 250ms;
    vertical-align: middle;
    margin: 0 0.05rem;
}

.pullDown .pullDownIcon {
    -webkit-transform: rotate(0deg) translateZ(0);
}

.pullUp .pullUpIcon {
    -webkit-transform: rotate(-180deg) translateZ(0);
}

.pullDown.flip .pullDownIcon {
    -webkit-transform: rotate(-180deg) translateZ(0);
}

.pullUp.flip .pullUpIcon {
    -webkit-transform: rotate(0deg) translateZ(0);
}

.pullDown.loading .pullDownIcon, .pullUp.loading .pullUpIcon {
    background-position: 0 100%;
    -webkit-transform: rotate(0deg) translateZ(0);
    -webkit-transition-duration: 0ms;

    -webkit-animation-name: loading;
    -webkit-animation-duration: 2s;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
}

/* 实现 loading转圈动画 */
@-webkit-keyframes loading {
    from {
        -webkit-transform: rotate(0deg) translateZ(0);
    }
    to {
        -webkit-transform: rotate(360deg) translateZ(0);
    }
}